List consumer scheduled transactions
curl --request GET \
--url https://api.hub.younegotiate.com/manage-consumers/{consumer}/scheduled-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/manage-consumers/{consumer}/scheduled-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/manage-consumers/{consumer}/scheduled-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 501,
"schedule_date": "2026-04-15",
"schedule_time": "12:00:00",
"amount": "100.00",
"payment_profile_label": "CARD (xx-4242)",
"frequency_label": "Monthly",
"previous_schedule_date": "2026-04-10",
"original_date_label": "Apr 10, 2026",
"status": {
"label": "Failed"
},
"remaining_balance": "110.00",
"actions": {
"can_change_date": false,
"can_skip": false
},
"action_items": [
{
"label": "<string>",
"available": true
}
],
"company": {
"id": 123,
"company_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 10,
"total": 10
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}List consumer scheduled transactions
Return read-only Payment Plans tab rows for the Superadmin consumer detail page. Superadmin receives the same scheduled/failed rows as the old detail page, with creditor-only row actions disabled.
GET
/
manage-consumers
/
{consumer}
/
scheduled-transactions
List consumer scheduled transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer ID.
Query Parameters
Sort field.
Available options:
schedule_date, amount, payment_profile, previous_schedule_date, remaining_balance Sort direction.
Available options:
asc, desc Required range:
x >= 1Required range:
1 <= x <= 100Last modified on July 20, 2026
Was this page helpful?
⌘I

